From 1a345162d840ab516cba37b0db7840de838ed6b1 Mon Sep 17 00:00:00 2001
From: Michal Kravcenko <michal.kravcenko@vsb.cz>
Date: Tue, 8 Jan 2019 15:08:31 +0100
Subject: [PATCH] FIX: corrected error status in linux build scripts

---
 .gitlab-ci.yml                                | 84 +++++++++----------
 .../linux/linux_gcc_build_x64_debug_local.sh  | 36 ++++----
 .../linux/linux_gcc_build_x64_debug_system.sh |  4 +-
 3 files changed, 61 insertions(+), 63 deletions(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index f8976788..20ce2c0c 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -90,52 +90,52 @@ ubuntu_boost_system:
 # Latest Ubuntu with Boost, Exprtk and Turtle
 # compiled locally as submodules and
 # linked statically
-#ubuntu_boost_local_static_deps:
-#    tags:
-#        - centos7
-#
-#    image: martinbeseda/ubuntu-ci:latest
-#
-#    before_script:
-#        - export TERM=xterm
-#        - cd build_scripts/linux
-#        - ./download_dependencies.sh
-#        - cd ../..
-#        - cd build_scripts/linux
-#        - export DEPENDENCIES_LINK_TYPE=static
-#        - export CLEAN_AFTER=yes
-#        - ./linux_gcc_build_x64_debug_local.sh || exit 1
-#
-#    script:
-#        - cd ../..
-#        - cd build_scripts/linux
-##        - './linux_run_tests.sh'
-#        - cd ../..
+ubuntu_boost_local_static_deps:
+    tags:
+        - centos7
+
+    image: martinbeseda/ubuntu-ci:latest
+
+    before_script:
+        - export TERM=xterm
+        - cd build_scripts/linux
+        - ./download_dependencies.sh
+        - cd ../..
+        - cd build_scripts/linux
+        - export DEPENDENCIES_LINK_TYPE=static
+        - export CLEAN_AFTER=yes
+        - ./linux_gcc_build_x64_debug_local.sh || exit 1
+
+    script:
+        - cd ../..
+        - cd build_scripts/linux
+#        - './linux_run_tests.sh'
+        - cd ../..
 
 # Latest Ubuntu with Boost, Exprtk and Turtle
 # compiled locally as submodules and
 # linked dynamically
-#ubuntu_boost_local_dynamic_deps:
-#    tags:
-#        - centos7
-#
-#    image: martinbeseda/ubuntu-ci:latest
-#
-#    before_script:
-#        - export TERM=xterm
-#        - cd build_scripts/linux
-#        - ./download_dependencies.sh
-#        - cd ../..
-#        - cd build_scripts/linux
-#        - export DEPENDENCIES_LINK_TYPE=shared
-#        - export CLEAN_AFTER=yes
-#        - ./linux_gcc_build_x64_debug_local.sh || exit 1
-#
-#    script:
-#        - cd ../..
-#        - cd build_scripts/linux
-##        - './linux_run_tests.sh'
-#        - cd ../..
+ubuntu_boost_local_dynamic_deps:
+    tags:
+        - centos7
+
+    image: martinbeseda/ubuntu-ci:latest
+
+    before_script:
+        - export TERM=xterm
+        - cd build_scripts/linux
+        - ./download_dependencies.sh
+        - cd ../..
+        - cd build_scripts/linux
+        - export DEPENDENCIES_LINK_TYPE=shared
+        - export CLEAN_AFTER=yes
+        - ./linux_gcc_build_x64_debug_local.sh || exit 1
+
+    script:
+        - cd ../..
+        - cd build_scripts/linux
+#        - './linux_run_tests.sh'
+        - cd ../..
 
 
 #code_quality:
diff --git a/build_scripts/linux/linux_gcc_build_x64_debug_local.sh b/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
index 0b7c6359..8c521452 100755
--- a/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
+++ b/build_scripts/linux/linux_gcc_build_x64_debug_local.sh
@@ -26,13 +26,13 @@ if [ -z ${DEPENDENCIES_LINK_TYPE} ]; then DEPENDENCIES_LINK_TYPE=static; fi
 if [ -z ${CLEAN_AFTER} ]; then CLEAN_AFTER=yes; fi
 
 export LINK_TYPE=static
-if [ $DEPENDENCIES_LINK_TYPE = "shared" ]
+if [ ${DEPENDENCIES_LINK_TYPE} = "shared" ]
 then
     export LINK_TYPE=shared
 fi
 
 CLEAN_AF=yes
-if [ $CLEAN_AFTER = "no" ]
+if [ ${CLEAN_AFTER} = "no" ]
 then
     CLEAN_AF=no
 fi
@@ -52,7 +52,7 @@ echo "Building the '${CYAN}lib4neuro${NC}' project for ${WHITE}Debug${NC}"
 BUILD_SOMETHING=no
 BUILD_SOMETHING_LIB=no
 
-if [ $BUILD_LIB = "yes" ]
+if [ ${BUILD_LIB} = "yes" ]
 then
     echo "${CYAN}lib4neuro${NC} build type: ${WHITE}Debug${NC}"
     echo "${CYAN}lib4neuro${NC} build architecture: ${WHITE}x64${NC}"
@@ -68,14 +68,14 @@ then
     BUILD_SOMETHING_LIB=yes
 fi
 
-if [ $BUILD_EXAMPLES = "yes" ]
+if [ ${BUILD_EXAMPLES} = "yes" ]
 then
     echo "${CYAN}lib4neuro${NC} examples will be built in '${YELLOW}build/examples${NC}'"
     BUILD_SOMETHING=yes
     BUILD_SOMETHING_LIB=yes
 fi
 
-if [ $REBUILD_BOOST = "yes" ]
+if [ ${REBUILD_BOOST} = "yes" ]
 then
     echo "The required '${CYAN}BOOST${NC}' library will be recompiled in the directory '${YELLOW}external_dependencies/boost${NC}'"
     rm -rf ../../external_dependencies/boost/stage
@@ -85,26 +85,26 @@ fi
 
 
 # Boost rebuild
-if [ $REBUILD_BOOST = "yes" ]
+if [ ${REBUILD_BOOST} = "yes" ]
 then
     ./build_boost_gcc.sh || BUILD_ERROR_OCCURED=1
 fi
 
 # Should we build the lib4neuro library? (yes)
-if [ $BUILD_SOMETHING_LIB = "yes" -a $BUILD_ERROR_OCCURED = "0" ]
+if [ ${BUILD_SOMETHING_LIB} = "yes" -a $BUILD_ERROR_OCCURED = "0" ]
 then
 
-    if [ $BUILD_LIB = "yes" ]
+    if [ ${BUILD_LIB} = "yes" ]
     then
         ./linux_clean_lib.sh
     fi
 
-    if [ $BUILD_EXAMPLES = "yes" ]
+    if [ ${BUILD_EXAMPLES} = "yes" ]
     then
         ./linux_clean_examples.sh
     fi
 
-    if [ $BUILD_TESTS = "yes" ]
+    if [ ${BUILD_TESTS} = "yes" ]
     then
         ./linux_clean_tests.sh
     fi	
@@ -114,12 +114,12 @@ then
 
     cd ../..
 
-    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || ( echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1; )
+    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;
 
-	if [ $BUILD_ERROR_OCCURED = "0" ]
+	if [ ${BUILD_ERROR_OCCURED} = "0" ]
 	then
         echo "Building the '${CYAN}lib4neuro${NC}' project for ${WHITE}Debug${NC} (building)"
-        ( cmake --build . --config Debug -- -j${N_CORES}  ) && ( echo "${GREEN}Build complete${NC}." ) || ( echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1; )
+        cmake --build . --config Debug -- -j${N_CORES} && echo "${GREEN}Build complete${NC}." || echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;
 	fi
 
     cd build_scripts/linux
@@ -128,28 +128,28 @@ fi
 
 if [ ${CLEAN_AF} = "yes" ]
 then
-if [ $BUILD_LIB = "yes" ]
+if [ ${BUILD_LIB} = "yes" ]
 then
     ./linux_clean_after_lib.sh
 fi
 
-if [ $BUILD_EXAMPLES = "yes" ]
+if [ ${BUILD_EXAMPLES} = "yes" ]
 then
     ./linux_clean_after_examples.sh
 fi
 
-if [ $BUILD_TESTS = "yes" ]
+if [ ${BUILD_TESTS} = "yes" ]
 then
     ./linux_clean_after_tests.sh
 fi
 
-if [ $BUILD_SOMETHING_LIB = "yes" ]
+if [ ${BUILD_SOMETHING_LIB} = "yes" ]
 then
     ./linux_clean_garbage.sh
 fi
 fi
 
-if [ $BUILD_ERROR_OCCURED = "1" ]
+if [ ${BUILD_ERROR_OCCURED} = "1" ]
 then
     echo "${RED}Build encountered some errors!${NC}"
     exit 1
diff --git a/build_scripts/linux/linux_gcc_build_x64_debug_system.sh b/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
index 283d2f25..312b7a5f 100755
--- a/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
+++ b/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
@@ -99,7 +99,7 @@ then
 
     cd ../..
 
-    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || ( echo "${RED}Makefile preparation finished with errors${NC}!"; export BUILD_ERROR_OCCURED=1; )
+    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;
 
 	if [ ${BUILD_ERROR_OCCURED} = "0" ]
 	then
@@ -136,8 +136,6 @@ fi
 
 fi
 
-echo "BUILD_ERROR_OCCURED = ${BUILD_ERROR_OCCURED}"
-
 if [ ${BUILD_ERROR_OCCURED} = "1" ]
 then
     echo "${RED}Build encountered some errors!${NC}"
-- 
GitLab